cd ..
WD=`pwd`
WD=`basename $WD`

[[ $WD != "woof-tree2" ]] && exit

echo "rootfs-skeleton/usr/sbin/pupcamera
rootfs-skeleton/usr/sbin/wakepup2
rootfs-skeleton/usr/sbin/pdict
rootfs-skeleton/usr/sbin/puppypdf
rootfs-skeleton/usr/sbin/bcrypt_gui
rootfs-skeleton/usr/local/bin/meeboview
rootfs-skeleton/usr/sbin/pup-advert-blocker
rootfs-skeleton/usr/local/lib/X11/themes/FlatOrange
rootfs-skeleton/etc/securetelnetrc
rootfs-skeleton/usr/share/pixmaps
rootfs-skeleton/usr/share/backgrounds
rootfs-skeleton/usr/share/applications
rootfs-skeleton/usr/sbin/wizardwizard
rootfs-skeleton/usr/sbin/loginmanager
rootfs-skeleton/usr/local/bin/xdg-open
rootfs-skeleton/usr/local/bin/xdg-open-OLD
rootfs-skeleton/root/Choices
rootfs-skeleton/usr/local/share/pixmaps
rootfs-skeleton/root/puppy-reference
rootfs-skeleton/usr/sbin/securetelnetshell" | while read i ; do
if [ -f "$i" ] ; then
	echo "Deleting $i"
	rm  "$i"
fi
if [ -d "$i" ] ; then
	echo "Deleting $i"
	rm -rf "$i"
fi	 
done

if [ ! -d "boot/initrd-tree0/pup_a" ] ; then
	echo "Creating boot/initrd-tree0/pup_a"
	mkdir boot/initrd-tree0/pup_a
fi	

cp saluki-mods/3salukibuild . 
cp saluki-mods/DISTRO_PKGS_SPECS-puppy-wary5 .
cp saluki-mods/Packages-puppy-saluki-official .
cp -rP saluki-mods/petget rootfs-skeleton/var/local
cp saluki-mods/mouse-wizard rootfs-skeleton/usr/sbin
cp saluki-mods/save-settings rootfs-skeleton/usr/sbin
cp saluki-mods/tmount rootfs-skeleton/usr/local/bin
cp saluki-mods/dotpup rootfs-skeleton/usr/sbin
cp saluki-mods/gtkrc/.gtkrc-2.0 rootfs-skeleton/root
cp saluki-mods/notify rootfs-skeleton/usr/bin
cp saluki-mods/dir2sfs rootfs-skeleton/sbin
cp saluki-mods/dir2pet rootfs-skeleton/usr/bin
cp saluki-mods/Multiple-Sound-Card-Wizard rootfs-skeleton/usr/bin

touch rootfs-skeleton/etc/oldmousedevice


cp -r saluki-mods/wallpapers/ rootfs-skeleton/usr/share/backgrounds
cp -r saluki-mods/applications rootfs-skeleton/usr/share/
cp -r saluki-mods/iconsets/* rootfs-skeleton/usr/local/lib/X11/themes/
cp -r saluki-mods/pixmaps rootfs-skeleton/usr/share/
cp -r saluki-mods/bootsound/usr rootfs-skeleton/
cp -P saluki-mods/bootsound/root/Startup/0startup-sound rootfs-skeleton/root/Startup
cp -r saluki-mods/applications rootfs-skeleton/usr/share/
cp saluki-mods/shutdown-gui/shutdown-gui rootfs-skeleton/usr/bin
cp -r saluki-mods/fstab.d/ rootfs-skeleton/etc/
cp -rP saluki-mods/gnome-icons/gnome rootfs-skeleton/usr/share/icons/
cp -P saluki-mods/rox rootfs-skeleton/usr/local/bin
cp -P saluki-mods/puppyinstaller2 rootfs-skeleton/usr/sbin/puppyinstaller2
cp -P saluki-mods/xgamma-gui rootfs-skeleton/usr/sbin

cd rootfs-skeleton/usr/bin
ln -s gtkdialog-splash gtkdialog-notify
cd -


ln -s /usr/local/lib/X11/pixmaps/ rootfs-skeleton/usr/local/share


patch -p1 boot/initrd-tree0/init < saluki-mods/patches/init.patch
patch -p1 boot/initrd-tree0/init < saluki-mods/patches/init2.patch
patch -p1 3builddistro < saluki-mods/patches/devx.patch
patch -p1 rootfs-skeleton/bin/mount < saluki-mods/patches/mount2.patch
patch -p1 rootfs-skeleton/root/.xinitrc < saluki-mods/patches/xinitrc.patch
patch -p1 rootfs-skeleton/root/.xinitrc < saluki-mods/patches/xinitrc2.patch
patch -p1 rootfs-skeleton/usr/sbin/snapmergepuppy < saluki-mods/patches/snapmerge.patch
patch -p1 rootfs-skeleton/usr/sbin/snapmergepuppy < saluki-mods/patches/snapmergepuppy2.patch
patch -p1 rootfs-skeleton/usr/sbin/puppyinstaller < saluki-mods/patches/puppyinstaller.patch
patch -p1 rootfs-skeleton/usr/sbin/delayedrun < saluki-mods/patches/delayedrun.patch
patch -p1 rootfs-skeleton/usr/sbin/delayedrun < saluki-mods/patches/delayedrun-nosound.patch
patch -p1 rootfs-skeleton/usr/sbin/delayedrun < saluki-mods/patches/delayedrun2.patch
patch -p1 rootfs-skeleton/usr/sbin/delayedrun < saluki-mods/patches/delayedrun3.patch
patch -p1 rootfs-skeleton/usr/bin/wmreboot < saluki-mods/patches/rebootsound.patch
patch -p1 rootfs-skeleton/usr/bin/wmpoweroff < saluki-mods/patches/shutdownsound.patch
patch -p1 rootfs-skeleton/usr/bin/wmreboot < saluki-mods/patches/wmreboot2.patch
patch -p1 rootfs-skeleton/usr/bin/wmpoweroff < saluki-mods/patches/wmpoweroff2.patch
patch -p1 rootfs-skeleton/usr/local/bin/drive_all < saluki-mods/patches/drive_all.patch
patch -p1 rootfs-skeleton/usr/sbin/pmount < saluki-mods/patches/pmount.patch
patch -p1 rootfs-skeleton/usr/sbin/pmount < saluki-mods/patches/pmount2.patch
patch -p1 rootfs-skeleton/usr/sbin/pmount < saluki-mods/patches/pmount3.patch
patch -p1 rootfs-skeleton/usr/sbin/pmount < saluki-mods/patches/pmount4.patch
patch -p1 rootfs-skeleton/sbin/pup_event_frontend_d < saluki-mods/patches/pup_event_frontend_d.patch
patch -p1 rootfs-skeleton/sbin/pup_event_frontend_d < saluki-mods/patches/pup_event_frontend_d2.patch
patch -p1 rootfs-skeleton/sbin/pup_event_frontend_d < saluki-mods/patches/pup_event_frontend_d3.patch
#patch -p1 rootfs-skeleton/etc/rc.d/rc.sysinit < saluki-mods/patches/rc.sysinit.patch
patch -p1 rootfs-skeleton/etc/rc.d/rc.update < saluki-mods/patches/rc.update.patch
patch -p1 rootfs-skeleton/etc/rc.d/rc.update < saluki-mods/patches/rc.update2.patch
patch -p1 rootfs-skeleton/etc/rc.d/rc.services < saluki-mods/patches/rc.services.patch
patch -p1 rootfs-skeleton/usr/sbin/filemnt < saluki-mods/patches/filemnt.patch
patch -p1 rootfs-skeleton/usr/sbin/filemnt < saluki-mods/patches/filemnt2.patch
patch -p1 rootfs-skeleton/usr/sbin/filemnt < saluki-mods/patches/filemnt3.patch
patch -p1 rootfs-skeleton/etc/rc.d/functions4puppy4 < saluki-mods/patches/functions4puppy4.patch
patch -p1 rootfs-skeleton/etc/profile < saluki-mods/patches/profile.patch
patch -p1 rootfs-skeleton/sbin/probepart < saluki-mods/patches/probepart.patch
patch -p1 rootfs-skeleton/usr/sbin/connectwizard < saluki-mods/patches/connectwizard.patch
patch -p1 rootfs-skeleton/usr/bin/wmpoweroff < saluki-mods/patches/wmpoweroff.patch
patch -p1 rootfs-skeleton/usr/bin/wmreboot < saluki-mods/patches/wmreboot.patch
patch -p1 rootfs-skeleton/usr/sbin/bootmanager < saluki-mods/patches/bootmanager.patch
patch -p1 rootfs-skeletron/usr/local/petget/installpkg.sh < saluki-mods/patches/installpkg.sh.patch
#patch -p1 rootfs-skeleton/usr/bin/xwin < saluki-mods/patches/xwin.patch
patch -p1 rootfs-skeleton/usr/sbin/xorgwizard < saluki-mods/patches/xorgwizard.patch
patch -p1 rootfs-skeleton/usr/sbin/xorgwizard < saluki-mods/patches/xorgwizard2.patch
patch -p1 rootfs-skeleton/usr/sbin/xorgwizard-automatic < saluki-mods/patches/xorgwizard-automatic.patch
patch -p1 rootfs-skeleton/usr/sbin/xorgwizard-automatic < saluki-mods/patches/xorgwizard-automatic2.patch
patch -p1 rootfs-skeleton/usr/sbin/icon_switcher < saluki-mods/patches/icon_switcher.patch
patch -p1 rootfs-skeleton/usr/sbin/quicksetup < saluki-mods/patches/quicksetup.patch
patch -p1 rootfs-skeleton/usr/local/petget < saluki-mods/patches/petget.patch
patch -p1 rootfs-skeleton/usr/local/petget < saluki-mods/patches/petget2.patch
patch -p1 rootfs-skeleton/usr/local/petget/ui_Ziggy < saluki-mods/patches/ui_Ziggy.patch
patch -p1 rootfs-skeleton/usr/local/petget/ui_Ziggy < saluki-mods/patches/ui_Ziggy2.patch
patch -p1 rootfs-skeleton/usr/sbin/sfsget < saluki-mods/patches/sfsget.patch
patch -p1 rootfs-skeleton/usr/sbin/download_file < saluki-mods/patches/download_file.patch
patch -p1 0setup < saluki-mods/patches/0setup.patch
patch -p1 rootfs-skeleton/sbin/dir2sfs < saluki-mods/patches/dir2sfs.patch
